## postgresql-ocaml 1.4.2

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = postgresql_stubs.c postgresql.mli postgresql.ml
CFLAGS  = -O2
CLIBS   = pq
RESULT  = postgresql

all:

install:	libinstall
uninstall:	libuninstall

clean:	clean-doc

-include $(OCAMLMAKEFILE)

## postgresql-ocaml 1.4.6

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = postgresql.mli postgresql.ml postgresql_stubs.c
CFLAGS  = -O2
CLIBS   = pq
RESULT  = postgresql

all:

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

## postgresql-ocaml 1.5.4

=== lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
+-include ../Makefile.conf
+
 OCAMLMAKEFILE = ../OCamlMakefile
 
 SOURCES = postgresql.mli postgresql.ml postgresql_stubs.c
-CFLAGS  = -O2
+CFLAGS  += -O2 -Wall -pedantic -Wno-long-long -Wno-missing-prototypes
 CLIBS   = pq
 RESULT  = postgresql

=== examples/cursor/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = cursor.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
RESULT  = cursor

-include $(OCAMLMAKEFILE)

=== examples/prompt_gtk/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = prompt_gtk.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
PACKS   = lablgtk
OCAMLBLDFLAGS = gtkInit.cmo
RESULT  = prompt_gtk

-include $(OCAMLMAKEFILE)

## postgresql-ocaml 1.7.0

=== lib/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 OCAMLMAKEFILE = ../OCamlMakefile
 
 SOURCES = postgresql.mli postgresql.ml postgresql_stubs.c
-CFLAGS  += -O2 -Wall -pedantic -Wno-long-long -Wno-missing-prototypes
+CFLAGS += -O2 -Wall -pedantic -Wno-long-long
 CLIBS   = pq
 RESULT  = postgresql

=== examples/prompt/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = prompt.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
THREADS = yes
RESULT  = prompt

-include $(OCAMLMAKEFILE)

=== examples/prompt_gtk/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = prompt_gtk.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
PACKS   = lablgtk2
RESULT  = prompt_gtk

-include $(OCAMLMAKEFILE)

## postgresql-ocaml 1.10.3

=== lib/Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 OCAMLMAKEFILE = ../OCamlMakefile
 
 SOURCES = postgresql.mli postgresql.ml postgresql_stubs.c
-CFLAGS += -O2 -Wall -pedantic -Wno-long-long
+CFLAGS += -O2 -Wall -pedantic -Wno-long-long -fPIC -DPIC
+CFLAGS += -DPG_OCAML_MAJOR_VERSION=$(PG_OCAML_MAJOR_VERSION)
+CFLAGS += -DPG_OCAML_MINOR_VERSION=$(PG_OCAML_MINOR_VERSION)
 CLIBS   = pq
 RESULT  = postgresql

## postgresql-ocaml 1.12.5

=== Makefile ===
EXAMPLES = $(filter-out examples/CVS, $(wildcard examples/*))

.PHONY: all
all:
	@cd lib && $(MAKE) byte-code-library native-code-library

.PHONY:	examples
examples:
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE)); done

.PHONY:	doc
doc:
	@cd lib && $(MAKE) $@
	ln -sf lib/doc

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE) $@); done
	@rm -f doc

=== lib/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 CFLAGS += -DPG_OCAML_MAJOR_VERSION=$(PG_OCAML_MAJOR_VERSION)
 CFLAGS += -DPG_OCAML_MINOR_VERSION=$(PG_OCAML_MINOR_VERSION)
 CLIBS   = pq
+LIBS    = threads
 RESULT  = postgresql
+THREADS = yes
 
 all:

=== examples/populate/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = populate.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
RESULT  = populate

-include $(OCAMLMAKEFILE)

## postgresql-ocaml 1.16.0

=== debian/changelog ===
postgresql-ocaml (1.16.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 01:00:51 +0000

postgresql-ocaml (1.16.0-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:28:28 -0600

postgresql-ocaml (1.16.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 21:17:09 +0200

postgresql-ocaml (1.14.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 16:29:40 +0100

postgresql-ocaml (1.12.5-1) unstable; urgency=low

  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 15 May 2010 14:43:40 +0200

postgresql-ocaml (1.12.4-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release (Closes: #564816)
  * Do not force custom mode (Pass NO_CUSTOM=y to make)

  [ Stéphane Glondu ]
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Mar 2010 23:34:36 +0100

postgresql-ocaml (1.12.1-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Do not link system libraries into cma (Closes: #549794).
  * Change include order in debian/rules to workaround a CDBS bug.

  [ Stéphane Glondu ]
  * Switch packaging to dh-ocaml 0.9
  * Lower dependency to ocaml-findlib in libpostgresql-ocaml-dev to
    Recommends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 01:00:29 +0200

postgresql-ocaml (1.12.1-1) unstable; urgency=low

  * New Upstream Version

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Sep 2009 11:12:29 +0200

postgresql-ocaml (1.11.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New Upstream Version
  * Switch patches to quilt
  * Add README.source
  * debian/control:
    - add versioned Breaks to nurpawiki because of binary incompatibility
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Build native plugin, install plugins in libpostgresql-ocaml

  [ Stefano Zacchiroli ]
  * debian/copyright: snip away unnecessary details (which also contained
    an obsolete FSF address), full details are available from
    /usr/share/common-licenses/, as pointed to

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Sep 2009 11:12:17 +0200

postgresql-ocaml (1.10.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * rebuild against OCaml 3.11
    - bump build-deps accordingly
    - drop obsolete versioned dependencies
  * debian/control
    - bump standards-version to 3.8.0 (no changes needed)
    - add missing ${misc:Depends} to -dev library package
    - add build-dep on dh-ocaml, which now ships the CDBS class
  * debian/rules: use ocaml.mk as a "rules" CDBS snippet
  * debian/*.in: use explicit substitution variables instead of
    making assumption on stdlib dir location
  * debian/patches/
    - clean up obsolete dpatch headers and use dpatch-run
    - examples.dpatch: remove the .in need, invoking ocamlc -where at
      make-time to find the stdlib dir
    - install_destdir.dpatch: delegate mkdir to make rather than dh_*
  * bump debhelper compatibility level to 7
  * debian/docs: s/README/README.txt/ (new upstream name)
  * debian/copyright:
    - switch to machine parseable format
    - use versioned filename references to /usr/share/common-licenses/

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Feb 2009 17:24:40 +0100

postgresql-ocaml (1.7.0-3) unstable; urgency=low

  * update standards-version
    - substitute binary:Version substvar in debian/control for Source-Version,
      now deprecated
  * add Homepage field to debian/control
  * set me as an uploader, d-o-m as the maintainer
  * debian/patches:
    - add description to patches install_destdir.dpatch and examples.dpatch.in
    - fix 00list: it should list examples.dpatch (i.e. examples.dpatch.in
      after it has been generated)
    - refresh examples.dpatch.in to point to the current location of
      OCamlMakefile
  * suggests ocamlmakefile and point out in README.Debian that it is easier
    with it to compile examples
  * add lintian override for missing examples.dpatch patch in 00list; the
    patch is automatically generated from examples.dpatch.in

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 23:37:11 +0100

postgresql-ocaml (1.7.0-2) unstable; urgency=low

  * rebuild against OCaml 3.10 and upload to unstable (closes: #441158)
  * debian/rules
    - enable generation of ocamldoc api reference (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 10:51:27 +0200

postgresql-ocaml (1.7.0-1) experimental; urgency=low

  * new upstream release
  * rebuild with OCaml 3.10
  * bump debhelper build-dep and compatibility level to 5
  * debian/patches
    - remove no longer needed patch 05_meta
    - rename patches to more meaningful names
  * debian/rules
    - remove a workaround for dpatch, no longer needed with the latest
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 13 Jul 2007 11:11:42 +0200

postgresql-ocaml (1.5.4-2) unstable; urgency=low

  * debian/rules
    - use ocaml.mk
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:40:01 +0100

postgresql-ocaml (1.5.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/05_meta
    - commented out this patch, in this upstream release version number in
      META matches library version
  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch


## postgresql-ocaml 1.17.0

=== examples/dump/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = dump.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
RESULT  = dump

-include $(OCAMLMAKEFILE)

=== examples/test_lo/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = test_lo.ml
INCDIRS = ../../lib
LIBDIRS = ../../lib
LIBS    = postgresql
RESULT  = test_lo

-include $(OCAMLMAKEFILE)

=== debian/changelog ===
postgresql-ocaml (1.17.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Jan 2012 16:26:36 +0100

=== debian/control ===
Source: postgresql-ocaml
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 libpq-dev,
 dh-ocaml (>= 0.9.6~),
 cdbs
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/postgresql-ocaml.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml

Package: libpostgresql-ocaml-dev
Architecture: any
Depends:
 libpq-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocamlmakefile
Recommends: ocaml-findlib
Description: OCaml bindings to PostgreSQL's libpq
 This OCaml-library provides an interface to PostgreSQL, an
 efficient and reliable, open source, relational database.
 Almost all functionality available through the C-API (libpq) is
 replicated in a type-safe way. This library uses objects for
 representing database connections and results of queries.
 .
 This package contains all the development stuff you need to use
 OCaml Postgres bindings in your programs.

Package: libpostgresql-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks:
 libpostgresql-ocaml-dev (<< 1.11.1),
 nurpawiki (<< 1.2.3-2~)
Replaces: libpostgresql-ocaml-dev (<< 1.11.1)
Description: OCaml bindings to PostgreSQL's libpq (runtime)
 This OCaml-library provides an interface to PostgreSQL, an
 efficient and reliable, open source, relational database.
 Almost all functionality available through the C-API (libpq) is
 replicated in a type-safe way. This library uses objects for
 representing database connections and results of queries.
 .
 This package contains the shared runtime stub libraries and plugins.

=== debian/watch ===
version=3

http://ocaml.info/ocaml_sources/postgresql-ocaml-(.*)\.tar\.gz

## postgresql-ocaml 1.18.0

=== debian/changelog ===
postgresql-ocaml (1.18.0-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Mar 2012 10:00:41 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libpq-dev,
  dh-ocaml (>= 0.9.6~),
  cdbs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/postgresql-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libpostgresql-ocaml-dev

DEB_SRCDIR = $(CURDIR)/lib
DEB_MAKE_BUILD_TARGET = NO_CUSTOM=y byte-code-library
CFLAGS += -I$(shell pg_config --includedir) -fPIC
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
build/$(PKGNAME)::
	$(MAKE) NO_CUSTOM=y -C $(DEB_SRCDIR)/ native-code-library
endif

ifeq ($(OCAML_NATDYNLINK),yes)
build/$(PKGNAME)::
	cd $(DEB_SRCDIR) && ocamlopt -shared -I . -o postgresql.cmxs -linkall postgresql.cmxa
endif

ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
export LIBINSTALL_FILES = libpostgresql_stubs.a postgresql.cma postgresql.cmi postgresql.mli dllpostgresql_stubs.so
endif

## postgresql-ocaml 2.0.2

=== debian/changelog ===
postgresql-ocaml (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Do no longer use CDBS
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 20:14:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
  libpq-dev,
- dh-ocaml (>= 0.9.6~),
- cdbs
-Standards-Version: 3.9.3
+ dh-ocaml (>= 0.9.6~)
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/postgresql-ocaml.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml

## postgresql-ocaml 2.0.5

=== debian/changelog ===
postgresql-ocaml (2.0.5-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:05:28 -0600

postgresql-ocaml (2.0.5-2) unstable; urgency=medium

  * Fix homepage URL.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 10 Aug 2015 19:56:16 +0000

postgresql-ocaml (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 20:12:47 +0100

postgresql-ocaml (2.0.4-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:41:19 +0100

postgresql-ocaml (2.0.4-2) experimental; urgency=low

  * Build-Depend on experimental ocaml-findlib so that ocamlopt works
    properly on new native architectures
  * Update Vcs-* and Homepage

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:27:39 +0200

postgresql-ocaml (2.0.4-1) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 22:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 8),
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4),
+ ocaml-findlib (>= 1.4),
  libpq-dev,
  dh-ocaml (>= 0.9.6~)
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/postgresql-ocaml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
-Homepage: http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/postgresql-ocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
+Homepage: http://mmottl.github.io/postgresql-ocaml/
 
 Package: libpostgresql-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR := $(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(DESTDIR)/$(OCAML_DLL_DIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
https://bitbucket.org/mmottl/postgresql-ocaml/downloads/postgresql-ocaml-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 24 Feb 2013 07:23:41 +0000

## postgresql-ocaml 4.5.0

=== debian/changelog ===
postgresql-ocaml (4.5.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:12 +0000

postgresql-ocaml (4.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 07:46:52 +0200

postgresql-ocaml (2.0.5-3) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 12:05:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: postgresql-ocaml
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 12),
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  libpq-dev,
+ ocaml-dune,
+ libdune-ocaml-dev,
+ libbase-ocaml-dev,
+ libstdio-ocaml-dev,
  dh-ocaml (>= 0.9.6~)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/postgresql-ocaml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/postgresql-ocaml.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/postgresql-ocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/postgresql-ocaml
 Homepage: http://mmottl.github.io/postgresql-ocaml/
 
 Package: libpostgresql-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(CURDIR)/debian/tmp/usr/doc/postgresql/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/mmottl/postgresql-ocaml/releases .*/postgresql-(.*)\.tbz

## postgresql-ocaml 4.6.3

=== src/Makefile ===
TARGETS = postgresql.cma libpostgresql_stubs.a

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
postgresql-ocaml (4.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 08:57:39 +0200

postgresql-ocaml (4.6.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Aug 2020 11:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: postgresql-ocaml
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4),
- ocaml-findlib (>= 1.4),
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-findlib,
  libpq-dev,
  ocaml-dune,
  libdune-ocaml-dev,
- libbase-ocaml-dev,
- libstdio-ocaml-dev,
- dh-ocaml (>= 0.9.6~)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/postgresql-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/postgresql-ocaml
 Homepage: http://mmottl.github.io/postgresql-ocaml/

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(CURDIR)/debian/tmp/usr/doc/postgresql/LICENSE.md
-
-override_dh_missing:
-	dh_missing --fail-missing

## postgresql-ocaml 5.0.0

=== debian/changelog ===
postgresql-ocaml (5.0.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 07:11:18 +0100

postgresql-ocaml (5.0.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Dec 2021 08:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
  libpq-dev,
  ocaml-dune,
  libdune-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/postgresql-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/postgresql-ocaml
-Homepage: http://mmottl.github.io/postgresql-ocaml/
+Homepage: https://mmottl.github.io/postgresql-ocaml/
 
 Package: libpostgresql-ocaml-dev
 Architecture: any

=== debian/watch ===
version=4
https://github.com/mmottl/postgresql-ocaml/releases .*/postgresql-(.*)\.tbz

## postgresql-ocaml 5.1.3

=== debian/changelog ===
postgresql-ocaml (5.1.3-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:07:02 +0200

postgresql-ocaml (5.1.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:52:50 +0100

postgresql-ocaml (5.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 10:30:18 +0100

postgresql-ocaml (5.0.0-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:22:07 +0200

postgresql-ocaml (5.0.0-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:02:51 +0200

postgresql-ocaml (5.0.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 12:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  libpq-dev,
  ocaml-dune,
  libdune-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/postgresql-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/postgresql-ocaml
@@ -46,9 +46,7 @@
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Breaks:
- libpostgresql-ocaml-dev (<< 1.11.1),
  nurpawiki (<< 1.2.3-2~)
-Replaces: libpostgresql-ocaml-dev (<< 1.11.1)
 Description: OCaml bindings to PostgreSQL's libpq (runtime)
  This OCaml-library provides an interface to PostgreSQL, an
  efficient and reliable, open source, relational database.

## postgresql-ocaml 5.2.0

=== debian/changelog ===
postgresql-ocaml (5.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2025 14:08:21 +0200

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mmottl/postgresql-ocaml/releases?per_page=50 \
https://github.com/mmottl/postgresql-ocaml/releases/download/[^/]+/postgresql-@ANY_VERSION@.tbz

## postgresql-ocaml 5.3.2

=== Makefile ===
.PHONY: all clean doc

all:
	@dune build @install
	@make -C lib compile_commands.json

clean:
	@dune clean
	@make -C lib clean-compile-commands

doc:
	@dune build @doc

=== examples/Makefile ===
TARGETS = $(addsuffix .bc, async binary cursor dump populate prompt test_lo)

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== lib/Makefile ===
TARGETS = postgresql.cma libpostgresql_stubs.a

.PHONY: all clean clean-compile-commands

all: compile_commands.json
	@dune build $(TARGETS)

clean: clean-compile-commands
	@dune clean

compile_commands.json: config/dune config/discover.ml $(wildcard *.c *.h)
	@dune rules | dune-compiledb

clean-compile-commands:
	@rm -f compile_commands.json

=== debian/changelog ===
postgresql-ocaml (5.3.2-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 16 Oct 2025 08:48:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  ocaml-dune,
  libdune-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/postgresql-ocaml.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/postgresql-ocaml
 Homepage: https://mmottl.github.io/postgresql-ocaml/

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/mmottl/postgresql-ocaml/releases?per_page=50
Matching-Pattern: https://[^" ]+/postgresql-@ANY_VERSION@\.tbz
Searchmode: plain
